//
//  FluffView.swift
//  Runner
//
//  Created by Grigori on 7/14/20.
//

import Foundation

public class EmojiView: NSObject, FlutterPlatformView {
    let frame: CGRect
    let viewId: Int64

    init(_ frame: CGRect, viewId: Int64, args: Any?){
        self.frame = frame
        self.viewId = viewId
    }

    public func view() -> UIView {
        let textField = EmojiTextField(frame: frame)
        return textField
    }
}


class EmojiTextField: UITextField {
    // required for iOS 13
    override var textInputContextIdentifier: String? { "" } // return non-nil to show the Emoji keyboard ¯\_(ツ)_/¯

    override var textInputMode: UITextInputMode? {
        for mode in UITextInputMode.activeInputModes {
            if mode.primaryLanguage == "emoji" {
                return mode
            }
        }
        return nil
    }
}

